[Angular2] Angular 2 - Podstawy
Tomasz Grzyb
12/23/2017 | 4:52 PM

oglądam właśnie 2gi film z zakupionego wczoraj kursu Angular od Podstaw, wpisuję komendę w VSC: ng serve i otrzymuje komunikat [w załączniku]... Skąd mogę pobrać node w wersji pasującej do ww. kursu bodajże v7.4.0? Moim zdaniem wszystkie instalki powinniście dodawać do źródła kursu żeby potem problemów nie było :].

Załącznik: problem1.PNG
Uzytkownik Anonimowy
2/27/2018 | 1:37 PM

Przykłady z kursu powinnny bez problemu działać na najnowszym node js w wersji LTS. Można ją oczywiście pobrać ze strony http://nodejs.org/

Konrad Leśniak
1/15/2018 | 6:45 PM

Mam to samo, przekopalem stacka w poszukiwaniu fixa, niestety poki co ng-serve wywala blad compiler'a. Wczesniej robilem ten kurs ale zmienily sie od tego wersje w package.json i teraz jest problem

Tomasz Grzyb
12/26/2017 | 2:15 PM

nie, w sumie nie było błędów. aż do ng serve. Rozwiązałem problem [póki co] tak, że zainstalowałem wszystko najnowsze: node.js, angular i teraz działa. Martwię się co do kompatybilności z kursem ale może będzie ok :]

Krzysztof Branecki
12/24/2017 | 5:03 PM

A jakieś błędy przy instalacji?

Tomasz Grzyb
12/24/2017 | 2:01 PM

tak Krzysztof - npm install, angulara przez npm install -g @angular/cli@wersja-taka-jak-w-pliku-package.json-1.2.0, na końcu ng serve i @angular/compiler-cli nie zainstalowało : / - tak jak w załączniku.

Krzysztof Branecki
12/24/2017 | 11:16 AM

Czy wcześniej zainstalowałeś wszystkie zależności projektu? Jeśli nie wpisywałeś npm install to spróbuj to wpisać w konsoli. Drugie pytanie czy zainstalwałeś angulara przez "npm install -g @angular/cli". Sory że pytam, ale nie wiem co i jak jest tłumaczone w kursie bo nie mam do niego aktualnie dostępu.

Tomasz Grzyb
12/23/2017 | 9:41 PM

no i chciałbym dopisać, że plik package.json z dołączonych źródeł różni się od tego z filmu nr 2 - na filmie jest wersja @angular/cli@1.0.0-rc.1 a w pliku @angular/cli@1.2.0 - zgodnie z instrukcją zainstalowałem tą drugą wersję (taką jak w pliku package.json) ale koniec końców projektu i tak nie chce wygenerować : /